Subject: Re: bug#69762: X11 versions of Emacs 29 on sparc fail at startup

From: Po Lu <[email-masked]>
Date: Thu, 14 Mar 2024 08:17:17 +0800

[email-masked] writes:

>    Thank you, this is very helpful. I guess I'm not too surprised
> that it works on Solaris 10. Your support of a 20 year old OS is
> admirable.
>
> I tried --without-xinput2 with the GTK version, and it does
> indeed skirt the problem. I can now reliably run it without
> crashing.
>
> Since this all worked with 28.2, I guess that Emacs
> started using XInput 2 features in the 29.1 branch?

Yes.

> Unfortunately, with the Lucid version, while --without-xinput2
> seems to get past the failure I reported, there's now a different
> failure:
>
>     % src/emacs
>     X protocol error: BadDrawable (invalid Pixmap or Window parameter) on protocol request 134
>     Serial no: 1318

Please run Emacs under gdb (or some other suitable debugger, e.g. dbx)
with the command-line options:

  -q -xrm 'Emacs.synchronous: True'

exactly as written above, break on xterm.c:x_error_quitter, and reply
with the backtrace generated after this breakpoint is hit.